# Copyright (C) 2024, UChicago Argonne, LLC
# Licensed under the 3-clause BSD license.  See accompanying LICENSE.txt file
# in the top-level directory.

import numpy as np
from numpy import int8, int16

__base_dtype__ = int16
__boxed_dtype__ = int8
# if an array has a negative, we cannot convert it to hex to compress it, serialization must check this.
__boxed_max_base_dtype_value__ = np.iinfo(__boxed_dtype__).max
__boxed_min_base_dtype_value__ = np.iinfo(__boxed_dtype__).min
__boxed_byte_index_width__ = np.iinfo(__boxed_dtype__).bits
__chunk_size__ = 64  # int((np.iinfo(uint64).bits / __boxed_byte_index_width__) * np.iinfo(__base_dtype__).bits)
__chunk_step__ = np.iinfo(__base_dtype__).bits / __boxed_byte_index_width__
__zero_chunk__ = b"\x00" * __chunk_size__
